package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability585/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSeriesSkuAddRequest struct {
	/*
	   系列品添加商品请求     */
	SeriesSkus *domain.AlibabaWdkSeriesSkuAddSeriesSkuRequest `json:"series_skus" required:"true" `
}

func (s *AlibabaWdkSeriesSkuAddRequest) SetSeriesSkus(v domain.AlibabaWdkSeriesSkuAddSeriesSkuRequest) *AlibabaWdkSeriesSkuAddRequest {
	s.SeriesSkus = &v
	return s
}

func (req *AlibabaWdkSeriesSkuAddRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.SeriesSkus != nil {
		paramMap["series_skus"] = util.ConvertStruct(*req.SeriesSkus)
	}
	return paramMap
}

func (req *AlibabaWdkSeriesSkuAddRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
